summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorGuba Zoltán2021-04-18 12:39:22 +0200
committerGuba Zoltán2021-04-18 12:39:22 +0200
commit02b3bc54074419ee7bfa2e26d136030725d348dc (patch)
tree693324f64e701ca36ad7e050de70be0599bcbd94 /PKGBUILD
parentf539ab06d9ff0da9723886ec1a6243e76145806e (diff)
downloadaur-02b3bc54074419ee7bfa2e26d136030725d348dc.tar.gz
dependencies updated
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD14
1 files changed, 7 insertions, 7 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 5953f8e5cdd..760c38481e7 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,12 +4,12 @@
pkgname=hdsentinel_gui
pkgver=2.0.0
-pkgrel=2
+pkgrel=3
pkgdesc="A freeware, closed source, SMART analysis tool with GUI"
arch=('i686' 'x86_64')
url="http://www.hdsentinel.com/hard_disk_sentinel_linux_gui.php"
license=('unknown')
-depends=(unzip)
+depends=(gtk2)
source_i686=(hdsentinel_gui32bit.tar.gz::https://www.hdsentinel.com/hdslin/hdsentinel_gui32bit.tar.gz)
md5sums_i686=('9be70938647a465296be0b8b9c2d2349')
source_x86_64=(hdsentinel_gui64bit.tar.gz::https://www.hdsentinel.com/hdslin/hdsentinel_gui64bit.tar.gz)
@@ -17,13 +17,13 @@ md5sums_x86_64=('898d05f8bb9a010d64dcb5b1f907b7ff')
package() {
cd $srcdir/HDSentinel_GUI
- unzip "HDSentinel_GUI.zip"
+ bsdtar -xf "HDSentinel_GUI.zip"
sed -i 's/\/usr\/share\/bin/\/usr\/bin/' HDSentinel_GUI/Hard_Disk_Sentinel_GUI.desktop
install -m755 -D "HDSentinel_GUI/HDSentinel_GUI" $pkgdir/usr/bin/HDSentinel_GUI || return 1
install -m755 -D "HDSentinel_GUI/HDSentinel" $pkgdir/usr/bin/HDSentinel || return 1
- install -m755 -D "HDSentinel_GUI/HDSentinel_GUI.ico" $pkgdir/usr/share/icons/HDSentinel_GUI.ico || return 1
- install -m755 -D "HDSentinel_GUI/Hard_Disk_Sentinel_GUI.desktop" $pkgdir/usr/share/applications/Hard_Disk_Sentinel_GUI.desktop || return 1
- install -m755 -D "readme" $pkgdir/usr/share/doc/$pkgname/readme || return 1
- install -m755 -D "version" $pkgdir/usr/share/doc/$pkgname/version || return 1
+ install -m644 -D "HDSentinel_GUI/HDSentinel_GUI.ico" $pkgdir/usr/share/icons/HDSentinel_GUI.ico || return 1
+ install -m644 -D "HDSentinel_GUI/Hard_Disk_Sentinel_GUI.desktop" $pkgdir/usr/share/applications/Hard_Disk_Sentinel_GUI.desktop || return 1
+ install -m644 -D "readme" $pkgdir/usr/share/doc/$pkgname/readme || return 1
+ install -m644 -D "version" $pkgdir/usr/share/doc/$pkgname/version || return 1
}